body{
    color: #333333;
    font-family: Arial;
    /* center the  content */
    max-width: 650px;
    margin: 0 auto;
    padding: 0 16px;

    /* body flex */
    display: flex;
    flex-direction: column; 
    min-height: 100vh;
}
.main-content{
    flex-grow: 1;

}
footer{
  /* text-align: center;
  padding: 3px;
  background-color: DarkSalmon;
  color: white; */

  color: #888888;
  border-top: 2px solid black;
  margin-top: 16px;
  padding:16px 0;

}
header{
    margin-top: 16px;
    margin-bottom: 40px;
}

h1{
    font-size: 64px;
    margin-bottom: 16px;
}

header a{
    color:#888888;
    margin-right:16px;
    text-decoration: none;

}

.portrait{
    height: 600px;
    width: 500px;
    border-radius: 8px;

}

.container {
  position: relative;
  width: 50%;
}

.image {
  display: block;
  width: 100%;
  height: auto;
}
.overlay {
  position: absolute;
  bottom: 100%;
  left: 0;
  right: 0;
  background-color: #008CBA;
  overflow: hidden;
  width: 100%;
  height: 0;
  transition: .5s ease;
}

.container:hover .overlay {
  bottom: 0;
  height: 100%;
}

.text {
  white-space: nowrap; 
  color: white;
  font-size: 20px;
  position: absolute;
  overflow: hidden;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
}

input[type=text], select {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

button {
  width: 100%;
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

